// pages/authOrder/authOrder.js
import {
  post
} from '../../utils/http'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    ticket: ''
  },

  onAuthSubmit() {
    post(
      'v2/api/device/pad_auth', {
        ticket: this.data.ticket
      },
      (res) => {
        wx.showToast({
          title: res.msg,
          icon: 'success',
          duration: 1000
        })
        setTimeout(() => {
          wx.reLaunch({
            url: '/pages/home/home?fromAuthOrder=true',
          })
        }, 1200)
      }
    )
  },

  // v2/api/device/pad_auth

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options)
    // https://img.ijolijoli.com/wxmini/ticket?ticket=KvedOg3548a04292a87de86c2f930bb4
                                                   // KvedOg3548a04292a87de86c2f930bb4
    if (options.q) {
      let ticket = decodeURIComponent(options.q)
      console.log(ticket)
      this.setData({
        ticket: ticket.replace('https://img.ijolijoli.com/wxmini/ticket?ticket=', '')
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})